from machine import Pin

class Button:
    def __init__(self, pin):
        self.trigger = pin
        self.pressed = False
        self.trigger.irq(self._cb, Pin.IRQ_FALLING)

    def reset(self):
        self.pressed = False

    def _cb(self, pin):
        self.pressed = True
